<nz-page-header nzBackIcon>
  <nz-page-header-title>
    <nz-breadcrumb>
      <nz-breadcrumb-item><a routerLink="/">{{ "Common.Homepage" | translate }}</a></nz-breadcrumb-item>
      <nz-breadcrumb-item [routerLink]="['/trades']">{{ "Economy.Trade.Trades" | translate }}</nz-breadcrumb-item>
      <nz-breadcrumb-item>{{ type === "trade" ? "{{'Economy.Trade.Trad' | translate }}" : "{{'Donations.Donation' | translate}}" }} #{{ trade?.id }}
      </nz-breadcrumb-item>
    </nz-breadcrumb>
  </nz-page-header-title>
  <nz-page-header-extra>
    <a href="https://wiki.vpopulus.net/en/Trade" target="_blank">
      <button nz-button nzShape="round" nz-tooltip nzTooltipTitle="Wiki" class="button-wiki">
        <span nz-icon nzType="info-circle" nzTheme="outline"></span>
      </button>
    </a>
  </nz-page-header-extra>
</nz-page-header>

<nz-spin [nzSpinning]="isLoading" style="margin-bottom: 5px">
  <div nz-row nzGutter="6" *ngIf="trade">
    <div nz-col nzXs="24" nzSm="24" nzXl="{{ trade?.isInstant == false ? 12 : 24 }}" style="margin-bottom: 6px;">
      <ng-container [ngTemplateOutlet]="itemsList" [ngTemplateOutletContext]="{data:trade.items[0]}">
      </ng-container>
    </div>
    <div nz-col nzXs="24" nzSm="24" nzXl="{{ trade?.isInstant == false ? 12 : 24 }}" *ngIf="trade.items.length == 2">
      <ng-container [ngTemplateOutlet]="itemsList" [ngTemplateOutletContext]="{data:trade.items[1]}">
      </ng-container>
    </div>
  </div>
</nz-spin>

<div nz-row nzGutter="6" *ngIf="trade && trade.isFinished === false">
  <div nz-col nzXs="24" nzSm="24" [nzXl]="24 / goodsListAvailable.length" *ngIf="isGoodTypeAvailable('items')"
    style="margin-bottom: 6px;">
    <app-trade-items [trade]="trade" (reload)="loadTradeById(trade.id)"></app-trade-items>
  </div>
  <div nz-col nzXs="24" nzSm="24" [nzXl]="24 / goodsListAvailable.length" *ngIf="isGoodTypeAvailable('currencies')">
    <app-trade-currencies [trade]="trade" (reload)="loadTradeById(trade.id)"></app-trade-currencies>
  </div>
</div>

<ng-template #itemsList let-data='data'>
  <nz-card [nzTitle]="data?.title" [nzExtra]="extra" nzSize="small">
    <div nz-row [nzGutter]="6">
      <div nz-col nzXs="12" nzSm="{{ trade?.isInstant == true ? 8 : 12 }}" nzXl="{{ trade?.isInstant == true ? 6 : 8 }}"
        nzLg="{{ trade?.isInstant == true ? 6 : 12 }}" nzXl="{{ trade?.isInstant == true ? 4 : 8 }}"
        nzXXl="{{ trade?.isInstant == true ? 4 : 6 }}" *ngFor="let item of data?.items" style="margin-bottom: 6px">
        <nz-card style="text-align: center">
          <img *ngIf="item?.currency != null" nz-tooltip nzTooltipTitle="{{ item?.currency?.name | translate }}"
            src="{{ item?.currency?.icon }}" width="50" height="50" />
          <img *ngIf="item?.item != null" nz-tooltip nzTooltipTitle="{{ 'Economy.' + item?.item?.name | translate }}"
            src="{{ item?.item?.icon }}" width="50" height="50" />
          <nz-divider></nz-divider>
          <span nz-tooltip nzTooltipTitle="Amount">
            <nz-tag nzColor="default">
              {{ item?.currency?.amount }}{{ item?.item?.amount }}
            </nz-tag>
          </span>
          <span *ngIf="item.item != undefined" nz-tooltip nzTooltipTitle="Quality">
            <nz-tag nzColor="default">
              <span style="color: gold" innerHtml="{{ item?.item?.quality | q }}"></span>
            </nz-tag>
          </span>
          <span *ngIf="trade?.isFinished === false && data?.showAccept === true">
            <button nz-button nzSize="small" nzShape="round" nz-tooltip nzTooltipTitle="Remove" (click)="removeItem(item.id)">
              <span nz-icon nzType="delete" nzTheme="outline"></span>
            </button>
          </span>
        </nz-card>
      </div>
    </div>
  </nz-card>
  <ng-template #extra>
    <div *ngIf="trade.isFinished === false && data?.isAccepted === false">
      <button nz-button nzType="default" nzShape="round" (click)="loadTradeById(trade?.id)">
        {{ "Common.Buttons.Refresh" | translate }}
      </button>

      <button nz-button nzType="default" nzShape="round" style="margin-left: 10px" (click)="cancel()"
        *ngIf="trade?.isFinished === false && data?.showAccept === true">
        {{ "Common.Buttons.Cancel" | translate }}
      </button>

      <button nz-button nzType="primary" nzShape="round" style="margin-left: 10px" (click)="accept()"
        *ngIf="trade?.isFinished === false && data?.showAccept === true">
        {{ "Common.Buttons.Accept" | translate }}
      </button>
    </div>
    <nz-tag *ngIf="data?.isAccepted === true" [nzColor]="'orange'">{{ "Common.Accepted" | translate }}</nz-tag>
    <nz-tag *ngIf="trade.isFinished === true" [nzColor]="'green'">{{ "Common.Transferred" | translate }}</nz-tag>
  </ng-template>
</ng-template>